
QGIS Application - Bug report #1843

print composer crashing randomly

2009-07-31 07:34 AM - dassouki -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11903

Description

sometimes print composer crashes with big maps or when i don't give it room to breathe. would it be possible to move print composer to

its own thread perhaps ? so if it crashes it doesnt bring all qgis with it

History

#1 - 2009-07-31 08:08 AM - Paolo Cavallini

Please add detail: which version? Which OS? Which package? I cannot replicate it here

#2 - 2009-07-31 08:10 AM - Giovanni Manghi

if you can, make the layers available for the download, so we can try replicate the problem.

#3 - 2009-07-31 12:53 PM - Giovanni Manghi

on qgis 1.2 I cannot replicate the problem (under both linux and windows), even adding a quite big number of layers of every type at the same time,

vectors, rasters, wfs, wms, postgis.

Can you please give a try to 1.2? thanks.

Meanwhile I'll change the priority of the ticket.

#4 - 2009-08-06 05:02 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

Closing for lack of feedback and details. but please feel free to reopen it if necessary (but leave more details on how to reproduce the error).
